#pragma once

namespace ModifySetPointConfig
{
	void Main(HINSTANCE hInstance, HWND hwndDlg, bool bUndo);

	void AppendEditLine(HWND hwndEdit, const wchar_t *szText);

	void AppendSummaryLine(HWND hwndEdit, int iDoneFiles, bool bSuccess);

	void MessageBoxFileError(HWND hwndDlg, HWND hwndEdit, const wchar_t *szFilePath, const wchar_t *szErrMsg, const wchar_t *szAdditionalMsg);

	bool ProcessDirectory(HWND hwndDlg, HWND hwndEdit, const std::wstring &strFilePath, bool bUndo, int *piDoneFiles);

	bool ProcessFile(HWND hwndDlg, HWND hwndEdit, const std::wstring &strFilePath, bool bUndo, int *piDoneFiles);

	bool ProcessFileInner(HWND hwndDlg, HWND hwndEdit, const wchar_t *szFilePath, bool bUndo, bool *pbModified);

	bool FindRep(HWND hwndDlg, char *fileBuf, DWORD dwFileSize, const char *szSearchUpper, const char *szReplace);
};
